Bug 1439308 - Excessive log lines for "Initializing DRb Connection to MiqServer with ID"
Summary: Excessive log lines for "Initializing DRb Connection to MiqServer with ID"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.2
Assignee: Joe Rafaniello
QA Contact: luke couzens
URL:
Whiteboard: appliance:upgrade
Depends On: 1438935
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 16:37 UTC by Satoe Imaishi
Modified: 2017-04-12 14:47 UTC (History)
5 users (show)

Fixed In Version: 5.7.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438935
Environment:
Last Closed: 2017-04-12 14:47:36 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 Joe Rafaniello 2017-04-05 19:09:50 UTC
Note, tag 5.7.2.0 doesn't have this issue but the 5.7.z branch has 81ccccc3b77, which contains the commit that this BZ fixes.  I'm suggesting this be a blocker since the logging is excessive and we establish a DRb client each time we process a queue message.

Comment 3 CFME Bot 2017-04-06 16:40:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/0a1ad0e0a0d12c6662e420322cc92d2d4be83c82

commit 0a1ad0e0a0d12c6662e420322cc92d2d4be83c82
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Apr 4 18:24:33 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 6 12:35:12 2017 -0400

    Merge pull request #14638 from jrafanie/fix_worker_monitor_drb_new_client_each_time
    
    Make worker_monitor_drb act like a reader again!
    (cherry picked from commit 56ee45a63c780fff16722f91ba09d6acc0642ca0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439308

 app/models/miq_worker/runner.rb       | 29 +++++++++++++++--------------
 spec/models/miq_worker/runner_spec.rb |  8 ++++++++
 2 files changed, 23 insertions(+), 14 deletions(-)

Comment 4 luke couzens 2017-04-10 12:31:53 UTC
Hi Joe, whats the best way to reproduce this one?

Thanks,
Luke

Comment 5 luke couzens 2017-04-10 18:12:57 UTC
Verified in 5.7.2.1

Comment 6 errata-xmlrpc 2017-04-12 14:47:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.